> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siteline.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent Analytics timeseries

> Returns paginated AI agent / bot and referred human traffic timeseries. Use this endpoint for operational analytics, agent traffic dashboards, and data warehouse syncs.

Response rows include only the requested metrics and dimensions.



## OpenAPI

````yaml /reporting-api.openapi.json get /v1/products/{productId}/analytics/timeseries
openapi: 3.1.0
info:
  title: Siteline Reporting API
  version: '1'
  description: >-
    Read-only access to Siteline product analytics, prompt performance,
    citations, and agent traffic.
servers:
  - url: https://api.siteline.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/products/{productId}/analytics/timeseries:
    get:
      tags:
        - Agent Analytics
      summary: Agent Analytics timeseries
      description: >-
        Returns paginated AI agent / bot and referred human traffic timeseries.
        Use this endpoint for operational analytics, agent traffic dashboards,
        and data warehouse syncs.


        Response rows include only the requested metrics and dimensions.
      operationId: getAnalyticsTimeseries
      parameters:
        - $ref: '#/components/parameters/productId'
        - name: dateFrom
          in: query
          required: true
          schema:
            type: string
            format: date-time
            example: '2026-05-01T00:00:00Z'
          description: Inclusive start timestamp in RFC3339 format.
        - name: dateTo
          in: query
          required: true
          schema:
            type: string
            format: date-time
            example: '2026-05-31T23:59:59Z'
          description: Inclusive end timestamp in RFC3339 format.
        - name: websiteId
          in: query
          required: false
          schema:
            type: string
            example: site_123
          description: >-
            Filter analytics to one website ID returned by `GET
            /v1/products/{productId}/websites`. If omitted, all active websites
            for the product are included.
        - name: interval
          in: query
          required: false
          schema:
            type: string
            enum:
              - day
              - week
            default: day
          description: Time bucket size. Defaults to `day`.
        - name: metrics[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - bot_visits
                - human_visits
                - referred_human_visits
                - ai_referred_human_visits
                - unique_human_visitors
                - unique_pages
                - unique_human_pages
                - unique_human_platforms
                - bot_user_agents
            default:
              - bot_visits
          description: Metrics to include in each row. Defaults to `bot_visits`.
          style: form
          explode: true
        - name: groupBy[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - platform
                - botType
                - urlPath
                - normalizedUrlPath
                - urlPathDirectory
          description: Dimensions to group rows by.
          style: form
          explode: true
        - name: platforms[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: Filter by agent platform, such as `openai`.
          style: form
          explode: true
        - name: botTypes[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: Filter by bot type, such as `chatgpt-user`.
          style: form
          explode: true
        - name: urlPath
          in: query
          required: false
          schema:
            type: string
          description: Filter by normalized URL path.
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
          description: Page number. Defaults to `1`.
        - name: perPage
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 20
          description: Rows per page. Defaults to `20`.
        - name: topLimit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
          description: >-
            Return top-N rows per time bucket, ordered by the first requested
            metric.
      responses:
        '200':
          description: Paginated timeseries rows.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnalyticsTimeseriesResponse'
              example:
                previousPage: null
                currentPage: 1
                nextPage: null
                totalPages: 1
                totalItems: 1
                perPage: 50
                items:
                  - platform: openai
                    timestamp: '2026-05-04T00:00:00Z'
                    botVisits: 128
                    aiReferredHumanVisits: 16
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    productId:
      name: productId
      in: path
      required: true
      schema:
        type: integer
        example: 42
      description: Product ID returned by `GET /v1/products`.
  schemas:
    AnalyticsTimeseriesResponse:
      type: object
      properties:
        previousPage:
          type:
            - integer
            - 'null'
          example: null
        currentPage:
          type: integer
          example: 1
        nextPage:
          type:
            - integer
            - 'null'
          example: null
        totalPages:
          type: integer
          example: 1
        totalItems:
          type: integer
          example: 1
        perPage:
          type: integer
          example: 50
        items:
          type: array
          items:
            $ref: '#/components/schemas/AnalyticsTimeseriesItem'
      required:
        - previousPage
        - currentPage
        - nextPage
        - totalPages
        - totalItems
        - perPage
        - items
    AnalyticsTimeseriesItem:
      type: object
      description: >-
        One time bucket row. Only the requested metrics and groupBy dimensions
        are present in each row.
      properties:
        timestamp:
          type: string
          format: date-time
          example: '2026-05-04T00:00:00Z'
        platform:
          type: string
          example: openai
          description: Present when `platform` is included in `groupBy[]`.
        botType:
          type: string
          example: chatgpt-user
          description: Present when `botType` is included in `groupBy[]`.
        urlPath:
          type: string
          example: /blog/ai-trends
          description: Present when `urlPath` is included in `groupBy[]`.
        normalizedUrlPath:
          type: string
          description: Present when `normalizedUrlPath` is included in `groupBy[]`.
        urlPathDirectory:
          type: string
          description: Present when `urlPathDirectory` is included in `groupBy[]`.
        botVisits:
          type: integer
          example: 128
          description: Present when `bot_visits` is in `metrics[]`.
        humanVisits:
          type: integer
          description: Present when `human_visits` is in `metrics[]`.
        referredHumanVisits:
          type: integer
          description: Present when `referred_human_visits` is in `metrics[]`.
        aiReferredHumanVisits:
          type: integer
          example: 16
          description: Present when `ai_referred_human_visits` is in `metrics[]`.
        uniqueHumanVisitors:
          type: integer
          description: Present when `unique_human_visitors` is in `metrics[]`.
        uniquePages:
          type: integer
          description: Present when `unique_pages` is in `metrics[]`.
        uniqueHumanPages:
          type: integer
          description: Present when `unique_human_pages` is in `metrics[]`.
        uniqueHumanPlatforms:
          type: integer
          description: Present when `unique_human_platforms` is in `metrics[]`.
        botUserAgents:
          type: integer
          description: Present when `bot_user_agents` is in `metrics[]`.
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
  responses:
    BadRequest:
      description: Required query parameters are missing or malformed.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            message: Invalid request parameters.
    Unauthorized:
      description: API key or product authorization failed.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            message: Unauthorized.
    InternalServerError:
      description: Unexpected server-side or upstream dependency failure.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            message: Internal server error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Siteline public API key. Create one under **Team settings > Public API
        Key**.

````